from . import _store
from ._attributes import Attribute, Attributes
from ._buffered import (
    AsyncReadableFile,
    AsyncWritableFile,
    ReadableFile,
    WritableFile,
    open_reader,
    open_reader_async,
    open_writer,
    open_writer_async,
)
from ._bytes import Bytes
from ._copy import copy, copy_async
from ._delete import delete, delete_async
from ._get import (
    BytesStream,
    GetOptions,
    GetResult,
    OffsetRange,
    SuffixRange,
    get,
    get_async,
    get_range,
    get_range_async,
    get_ranges,
    get_ranges_async,
)
from ._head import head, head_async
from ._list import (
    ListChunkType,
    ListResult,
    ListStream,
    ObjectMeta,
    list,  # noqa: A004
    list_with_delimiter,
    list_with_delimiter_async,
)
from ._put import PutMode, PutResult, UpdateVersion, put, put_async
from ._rename import rename, rename_async
from ._scheme import parse_scheme
from ._sign import HTTP_METHOD, SignCapableStore, sign, sign_async

def ___version() -> str: ...

__all__ = [
    "HTTP_METHOD",
    "AsyncReadableFile",
    "AsyncWritableFile",
    "Attribute",
    "Attributes",
    "Bytes",
    "BytesStream",
    "GetOptions",
    "GetResult",
    "ListChunkType",
    "ListResult",
    "ListStream",
    "ObjectMeta",
    "OffsetRange",
    "PutMode",
    "PutResult",
    "ReadableFile",
    "SignCapableStore",
    "SuffixRange",
    "UpdateVersion",
    "WritableFile",
    "_store",
    "copy",
    "copy_async",
    "delete",
    "delete_async",
    "get",
    "get_async",
    "get_range",
    "get_range_async",
    "get_ranges",
    "get_ranges_async",
    "head",
    "head_async",
    "list",
    "list_with_delimiter",
    "list_with_delimiter_async",
    "open_reader",
    "open_reader_async",
    "open_writer",
    "open_writer_async",
    "parse_scheme",
    "put",
    "put_async",
    "rename",
    "rename_async",
    "sign",
    "sign_async",
]
